import { Plugin, ToolbarItemType, TourPlugin } from '../plugins';
import { ToolbarAction } from '../toolbar';
import { Pdfon } from './pdfon';
import { InteractionEditorLayerBuilder } from './InteractionEditorLayerBuilder';
export declare class TourEditorToolbarItem extends ToolbarAction {
    get tour(): import('@sjmc11/tourguidejs').TourGuideClient | undefined;
    get enabled(): boolean;
    protected execute(): void;
}
export declare class TourEditorPlugin extends TourPlugin {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    protected init(): void;
    protected steps(): {
        title: string;
        content: HTMLDivElement;
        order: number;
    }[];
}
export declare class InteractionEditorPlugin extends Plugin {
    protected layerBuilders: (typeof InteractionEditorLayerBuilder)[];
}
export declare class EditorPlugin extends Plugin {
    protected init(): void;
    protected destroy(): void;
}
export declare class PdfonEditor extends Pdfon {
    constructor();
}
